Subject: bug#79478: 31.0.50; One to two minute hangs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Sep 2025 21:54:58 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 20 Sep 2025 19:39:57 +0100
> 
> Hello,
> 
> On Sat 20 Sep 2025 at 06:01pm +03, Eli Zaretskii wrote:
> 
> > This is help-command-error-confusable-suggestions, in help.el.
> >
> > But what is more interesting is the call to
> > command-error-default-function, which calls to message_dolog: it means
> > Emacs is logging some error message in *Messages*>  What do you see
> > there after these minute-long pauses end?
> 
> I'm no longer sure this is the pause I have been seeing because it
> hasn't managed to get unstuck.  When I interrupt it now it's in GC:

You mean, this GC never ends?  It must end at some point, because the
number of Lisp objects in an Emacs session is finite.

> Is there some function I can call from gdb to get it to exit to
> toplevel?

Something like

  (gdb) call Ftop_level()

should do it.  But longjmp-ing out of GC is not something I'd
recommend, better wait for it to finish.